> ## Documentation Index
> Fetch the complete documentation index at: https://docs.filexpress.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Crear empleado

> Da de alta un empleado. El número de documento debe ser único en el negocio.

**Permiso requerido:** `hr.employees.write`



## OpenAPI

````yaml /api-reference/openapi.json post /hr/employees
openapi: 3.0.3
info:
  title: FileXpress API Externa
  version: 1.0.0
  description: >-
    API para integrar sistemas de terceros con FileXpress: facturación, RRHH y
    contabilidad.
servers:
  - url: https://api.filexpress.app/api/external
    description: Producción
security:
  - ApiKey: []
tags:
  - name: General
  - name: Facturación · Ventas
  - name: Facturación · Compras
  - name: Facturación · Clientes
  - name: Facturación · Proveedores
  - name: Facturación · Productos
  - name: Catálogos
  - name: RRHH · Empleados
  - name: RRHH · Asistencia
  - name: RRHH · Permisos
  - name: RRHH · Planillas
  - name: Contabilidad
paths:
  /hr/employees:
    post:
      tags:
        - RRHH · Empleados
      summary: Crear empleado
      description: >-
        Da de alta un empleado. El número de documento debe ser único en el
        negocio.


        **Permiso requerido:** `hr.employees.write`
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmployeeRequest'
            example:
              first_name: María
              last_name: López
              document_type: DUI
              document_number: 01234567-8
              tax_number: 0614-010190-101-1
              email: maria@empresa.com
              phone: 7000-0000
              type: permanent
              job_title_id: 9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11
              manager_id: 9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11
              hire_date: '2026-10-01'
              salary: 850
              bank_name: Banco Agrícola
              bank_account_type: Ahorro
              bank_account_number: '3000123456'
      responses:
        '201':
          description: Empleado creado
          content:
            application/json:
              example:
                status: true
                data:
                  id: 9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11
                  first_name: María
                  last_name: López
                  document_type: DUI
                  document_number: 01234567-8
                  tax_number: 0614-010190-101-1
                  email: maria@empresa.com
                  phone: 7000-0000
                  type: permanent
                  job_title: Contadora
                  hire_date: '2024-02-01'
                  salary: 850
                  is_active: true
        '401':
          $ref: '#/components/responses/E401'
        '403':
          $ref: '#/components/responses/E403'
        '409':
          description: Documento duplicado
          content:
            application/json:
              example:
                status: false
                message: An employee with this document number already exists.
                employee_id: 9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11
        '422':
          $ref: '#/components/responses/E422'
        '429':
          $ref: '#/components/responses/E429'
components:
  schemas:
    EmployeeRequest:
      type: object
      properties:
        first_name:
          type: string
        last_name:
          type: string
        type:
          type: string
          description: Tipo de contratación.
          enum:
            - permanent
            - temporary
            - project_based
        hire_date:
          type: string
          format: date
          description: Fecha de ingreso.
        salary:
          type: number
          description: Salario mensual.
        document_type:
          type: string
        document_number:
          type: string
          description: Único en el negocio.
        tax_number:
          type: string
          description: NIT.
        email:
          type: string
        phone:
          type: string
        address:
          type: string
        birth_date:
          type: string
          format: date
        job_title_id:
          type: string
          format: uuid
          description: Puesto (GET /hr/job-titles).
        manager_id:
          type: string
          format: uuid
          description: Jefe inmediato.
        emergency_contact_name:
          type: string
        emergency_contact_phone:
          type: string
        bank_name:
          type: string
        bank_account_type:
          type: string
        bank_account_number:
          type: string
        is_active:
          type: boolean
          description: false para dar de baja.
      required:
        - first_name
        - last_name
        - type
        - hire_date
        - salary
  responses:
    E401:
      description: API Key ausente o inválida
      content:
        application/json:
          example:
            status: false
            message: Invalid API Key.
    E403:
      description: Integración sin el permiso requerido o desactivada
      content:
        application/json:
          example:
            status: false
            message: This integration does not have the 'hr.employees' permission.
            required_scope: hr.employees
    E422:
      description: Error de validación
      content:
        application/json:
          example:
            status: false
            message: Validation errors
            errors:
              start_date:
                - The start date field is required.
    E429:
      description: Límite de peticiones excedido
      content:
        application/json:
          example:
            status: false
            message: Rate limit exceeded. Please try again later.
            rate_limit: 100
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: API Key de la integración (Integraciones → Nueva Integración).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.